## solid 5.46.0

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.0)

set(KF5_VERSION "5.46.0") # handled by release scripts
project(Solid VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.46.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

set(REQUIRED_QT_VERSION 5.8.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml DBus Widgets)

if(WIN32)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Network)
endif()


include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMAddQch)

find_package(FLEX REQUIRED)
set_package_properties(FLEX PROPERTIES
    URL "http://flex.sourceforge.net"
    DESCRIPTION "Fast Lexical Analyzer"
    TYPE REQUIRED
    PURPOSE "Required for the Predicate parser"
)

find_package(BISON REQUIRED)
set_package_properties(BISON PROPERTIES
    URL "http://www.gnu.org/software/bison"
    DESCRIPTION "general-purpose parser generator"
    TYPE REQUIRED
    PURPOSE "Required for the Predicate parser"
)

if (CMAKE_SYSTEM_NAME MATCHES Linux)
    find_package( UDev )

    set_package_properties(UDev PROPERTIES  URL "http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html"
                                            DESCRIPTION "UDev support for Solid"
                                            TYPE REQUIRED
                                            PURPOSE "Allows Solid to use UDev to provide information about devices on Linux"
                            )
endif()


include(ECMPoQmTools)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX SOLID
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/solid_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5SolidConfigVersion.cmake"
                        SOVERSION 5)

# TODO: Remove these
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

option(WITH_NEW_SOLID_JOB "WIP: base Job class" Off)
add_feature_info(Solid::Job WITH_NEW_SOLID_JOB "WIP: Base class for Solid Asynchronous apis")

option(WITH_NEW_POWER_ASYNC_API "WIP: Asynchronous API for power management" Off)
add_feature_info(Solid::PowerManagement WITH_NEW_POWER_ASYNC_API "WIP: Asynchronous API for power management")

option(WITH_NEW_POWER_ASYNC_FREEDESKTOP "WIP: Freedesktop backend for the asynchronous api" Off)
add_feature_info(Solid::PowerManagement WITH_NEW_POWER_ASYNC_FREEDESKTOP "WIP: Freedesktop backend for the asynchronous api")

add_subdirectory(src)
add_subdirectory(autotests)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Solid")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Solid_QCH
        FILE KF5SolidQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5SolidQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5SolidConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5SolidConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5SolidConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5SolidConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5SolidTargets  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"  FILE KF5SolidTargets.cmake  NAMESPACE KF5:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/solid_version.h  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}  COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
solid (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:59:06 +0100

=== debian/control ===
Source: solid
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: bison,
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.46.0~),
               flex,
               libudev-dev [linux-any],
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/solid
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid

Package: libkf5solid-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: udisks2, upower
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
 .
 This package contains the solid-hardware5 tool.

Package: libkf5solid-dev
Architecture: any
Section: libdevel
Depends: libkf5solid5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5solid5
Architecture: any
Multi-Arch: same
Depends: libkf5solid5-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: media-player-info [linux-any]
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.

Package: libkf5solid5-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
 .
 This package contains shared data files.

Package: qml-module-org-kde-solid
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
Replaces: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
Description: Qt library to query and control hardware plugin
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of KDE Frameworks 5.

Package: qtdeclarative5-kf5solid
Architecture: all
Section: oldlibs
Priority: optional
Depends: qml-module-org-kde-solid, ${misc:Depends}, ${shlibs:Depends}
Description: transitional package to renamed qml-module-org-kde-solid
 Transitional package for qml-module-org-kde-solid.  This package is
 safe to remove.
 .
 This package is part of KDE Frameworks 5.

## solid 5.47.0

=== debian/changelog ===
solid (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:52:02 +0100

solid (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:57 +0200

solid (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:11:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,20 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: bison,
-               cmake (>= 2.8.12),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.46.0~),
+               cmake (>= 3.0~),
+               debhelper (>= 11~),
+               doxygen,
+               extra-cmake-modules (>= 5.47.0~),
                flex,
+               graphviz,
+               libqt5sql5-sqlite,
                libudev-dev [linux-any],
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.8.0~),
+               qtdeclarative5-dev (>= 5.8.0~),
                qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~)
-Standards-Version: 3.9.8
+               qttools5-dev-tools (>= 5.6.1~),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/solid
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
@@ -22,7 +25,7 @@
 Package: libkf5solid-bin
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: udisks2, upower
+Recommends: udisks2 [linux-any], upower
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -35,8 +38,10 @@
 Architecture: any
 Section: libdevel
 Depends: libkf5solid5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
+         qtbase5-dev (>= 5.8.0~),
+         ${misc:Depends},
+Recommends: libkf5solid-doc (= ${source:Version})
+Breaks: kio-dev (<< 5.28)
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -45,6 +50,19 @@
  .
  This package contains the development files.
 
+Package: libkf5solid-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt library to query and control hardware (documentation)
+ Solid is a device integration framework. It provides a way of querying and
+ interacting with hardware independently of the underlying operating system.
+ .
+ Solid is part of KDE Frameworks 5.
+ .
+ This package contains the qch documentation files.
+
 Package: libkf5solid5
 Architecture: any
 Multi-Arch: same
@@ -52,6 +70,9 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: media-player-info [linux-any]
+Breaks: kdesignerplugin (<< 5.42),
+        kross (<< 5.42),
+        libkf5kdelibs4support5-bin (<< 5.42),
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.

## solid 5.49.0

=== debian/changelog ===
solid (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:19:18 +0200

solid (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:11:11 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.47.0~),
+               extra-cmake-modules (>= 5.49.0~),
                flex,
                graphviz,
                libqt5sql5-sqlite,
@@ -15,12 +15,12 @@
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.8.0~),
                qtdeclarative5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/solid
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/solid
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/solid.git
 
 Package: libkf5solid-bin
 Architecture: any
@@ -35,13 +35,12 @@
  This package contains the solid-hardware5 tool.
 
 Package: libkf5solid-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5solid5 (= ${binary:Version}),
          qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
 Recommends: libkf5solid-doc (= ${source:Version})
-Breaks: kio-dev (<< 5.28)
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -49,11 +48,11 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the development files.
+Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.49)
 
 Package: libkf5solid-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: Qt library to query and control hardware (documentation)
  Solid is a device integration framework. It provides a way of querying and
@@ -62,6 +61,7 @@
  Solid is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5solid5
 Architecture: any
@@ -70,14 +70,20 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: media-player-info [linux-any]
-Breaks: kdesignerplugin (<< 5.42),
-        kross (<< 5.42),
-        libkf5kdelibs4support5-bin (<< 5.42),
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
  .
  Solid is part of KDE Frameworks 5.
+Breaks: baloo-kf5 (<< 5.49),
+        kdesignerplugin (<< 5.42),
+        kio (<< 5.49),
+        kross (<< 5.42),
+        libkf5baloo5 (<< 5.49),
+        libkf5kdelibs4support5 (<< 5.49),
+        libkf5kdelibs4support5-bin (<< 5.42),
+        libkf5kiofilewidgets5 (<< 5.49),
+        libkf5runner5 (<< 5.49),
 
 Package: libkf5solid5-data
 Architecture: all
@@ -95,8 +101,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
 Breaks: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
-Replaces: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
 Description: Qt library to query and control hardware plugin
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -104,9 +110,9 @@
  This package is part of KDE Frameworks 5.
 
 Package: qtdeclarative5-kf5solid
-Architecture: all
 Section: oldlibs
 Priority: optional
+Architecture: all
 Depends: qml-module-org-kde-solid, ${misc:Depends}, ${shlibs:Depends}
 Description: transitional package to renamed qml-module-org-kde-solid
  Transitional package for qml-module-org-kde-solid.  This package is

## solid 5.50.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 
 cmake_minimum_required(VERSION 3.0)
 
-set(KF5_VERSION "5.46.0") # handled by release scripts
+set(KF5_VERSION "5.50.0") # handled by release scripts
 project(Solid VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.46.0  NO_MODULE)
+find_package(ECM 5.50.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -15,6 +15,7 @@
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
+include(ECMQtDeclareLoggingCategory)
 
 set(REQUIRED_QT_VERSION 5.8.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml DBus Widgets)
@@ -87,7 +88,9 @@
 add_feature_info(Solid::PowerManagement WITH_NEW_POWER_ASYNC_FREEDESKTOP "WIP: Freedesktop backend for the asynchronous api")
 
 add_subdirectory(src)
-add_subdirectory(autotests)
+if (BUILD_TESTING)
+    add_subdirectory(autotests)
+endif()
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Solid")

=== debian/changelog ===
solid (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:20:14 +0100

solid (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:32:38 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.49.0~),
+               extra-cmake-modules (>= 5.50.0~),
                flex,
                graphviz,
                libqt5sql5-sqlite,
@@ -15,12 +15,12 @@
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.8.0~),
                qtdeclarative5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4),
+               qttools5-dev (>= 5.6.1~),
+               qttools5-dev-tools (>= 5.6.1~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/solid
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/solid
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/solid.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
 
 Package: libkf5solid-bin
 Architecture: any
@@ -35,12 +35,13 @@
  This package contains the solid-hardware5 tool.
 
 Package: libkf5solid-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5solid5 (= ${binary:Version}),
          qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
 Recommends: libkf5solid-doc (= ${source:Version})
+Breaks: kio-dev (<< 5.28)
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -48,11 +49,11 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the development files.
-Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.49)
 
 Package: libkf5solid-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}
 Description: Qt library to query and control hardware (documentation)
  Solid is a device integration framework. It provides a way of querying and
@@ -61,7 +62,6 @@
  Solid is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
-Section: doc
 
 Package: libkf5solid5
 Architecture: any
@@ -70,20 +70,14 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: media-player-info [linux-any]
+Breaks: kdesignerplugin (<< 5.42),
+        kross (<< 5.42),
+        libkf5kdelibs4support5-bin (<< 5.42),
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
  .
  Solid is part of KDE Frameworks 5.
-Breaks: baloo-kf5 (<< 5.49),
-        kdesignerplugin (<< 5.42),
-        kio (<< 5.49),
-        kross (<< 5.42),
-        libkf5baloo5 (<< 5.49),
-        libkf5kdelibs4support5 (<< 5.49),
-        libkf5kdelibs4support5-bin (<< 5.42),
-        libkf5kiofilewidgets5 (<< 5.49),
-        libkf5runner5 (<< 5.49),
 
 Package: libkf5solid5-data
 Architecture: all
@@ -101,8 +95,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
 Replaces: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
-Breaks: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
 Description: Qt library to query and control hardware plugin
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -110,9 +104,9 @@
  This package is part of KDE Frameworks 5.
 
 Package: qtdeclarative5-kf5solid
+Architecture: all
 Section: oldlibs
 Priority: optional
-Architecture: all
 Depends: qml-module-org-kde-solid, ${misc:Depends}, ${shlibs:Depends}
 Description: transitional package to renamed qml-module-org-kde-solid
  Transitional package for qml-module-org-kde-solid.  This package is

## solid 5.51.0

=== debian/changelog ===
solid (5.51.0-3) unstable; urgency=medium

  * Team upload.
  * Disable the halbasictest test, run only on non-Linux architectures (as it
    is flaky); patch disable_halbasictest.diff.

 -- Pino Toscano <pino@debian.org>  Thu, 27 Dec 2018 18:18:29 +0100

solid (5.51.0-2) unstable; urgency=medium

  * Team upload.
  * Drop the transitional qtdeclarative5-kf5solid, no more needed now.
  * Drop the old qtdeclarative5-kf5solid breaks/replaces.
  * Add Build-Depends-Package in the symbols file.
  * Run (again) the test suite at build time.
  * Remove the 'testsuite' autopkgtest, as it does not test the package
    available in the archive.
  * Drop unused debian/meta/ stuff.

 -- Pino Toscano <pino@debian.org>  Thu, 27 Dec 2018 11:12:26 +0100

solid (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:39 +0100

=== debian/control ===
Source: solid
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: bison,
               cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               flex,
               graphviz,
               libqt5sql5-sqlite,
               libudev-dev [linux-any],
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/solid
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/solid
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/solid.git

Package: libkf5solid-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: udisks2 [linux-any], upower
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
 .
 This package contains the solid-hardware5 tool.

Package: libkf5solid-dev
Section: libdevel
Architecture: any
Depends: libkf5solid5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5solid-doc (= ${source:Version})
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.
Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.51)

Package: libkf5solid-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library to query and control hardware (documentation)
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5solid5
Architecture: any
Multi-Arch: same
Depends: libkf5solid5-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: media-player-info [linux-any]
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
Breaks: baloo-kf5 (<< 5.51),
        kdesignerplugin (<< 5.42),
        kio (<< 5.51),
        kross (<< 5.42),
        libkf5baloo5 (<< 5.51),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5kiofilewidgets5 (<< 5.51),
        libkf5runner5 (<< 5.51),

Package: libkf5solid5-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt library to query and control hardware
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 Solid is part of KDE Frameworks 5.
 .
 This package contains shared data files.

Package: qml-module-org-kde-solid
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt library to query and control hardware plugin
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of KDE Frameworks 5.

## solid 5.52.0

=== debian/changelog ===
solid (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Install debug categories file.
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:44:32 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.51.0~),
+               extra-cmake-modules (>= 5.52.0~),
                flex,
                graphviz,
                libqt5sql5-sqlite,
@@ -15,12 +15,12 @@
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.8.0~),
                qtdeclarative5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4),
+               qttools5-dev (>= 5.6.1~),
+               qttools5-dev-tools (>= 5.6.1~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/solid
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/solid
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/solid.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/solid
 
 Package: libkf5solid-bin
 Architecture: any
@@ -35,12 +35,13 @@
  This package contains the solid-hardware5 tool.
 
 Package: libkf5solid-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5solid5 (= ${binary:Version}),
          qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
 Recommends: libkf5solid-doc (= ${source:Version})
+Breaks: kio-dev (<< 5.28)
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
@@ -48,11 +49,11 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the development files.
-Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.51)
 
 Package: libkf5solid-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}
 Description: Qt library to query and control hardware (documentation)
  Solid is a device integration framework. It provides a way of querying and
@@ -61,7 +62,6 @@
  Solid is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
-Section: doc
 
 Package: libkf5solid5
 Architecture: any
@@ -70,20 +70,14 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: media-player-info [linux-any]
+Breaks: kdesignerplugin (<< 5.42),
+        kross (<< 5.42),
+        libkf5kdelibs4support5-bin (<< 5.42),
 Description: Qt library to query and control hardware
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
  .
  Solid is part of KDE Frameworks 5.
-Breaks: baloo-kf5 (<< 5.51),
-        kdesignerplugin (<< 5.42),
-        kio (<< 5.51),
-        kross (<< 5.42),
-        libkf5baloo5 (<< 5.51),
-        libkf5kdelibs4support5 (<< 5.51),
-        libkf5kdelibs4support5-bin (<< 5.42),
-        libkf5kiofilewidgets5 (<< 5.51),
-        libkf5runner5 (<< 5.51),
 
 Package: libkf5solid5-data
 Architecture: all
@@ -101,8 +95,21 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
+Replaces: qtdeclarative5-kf5solid (<< 5.0.0-0ubuntu2)
 Description: Qt library to query and control hardware plugin
  Solid is a device integration framework. It provides a way of querying and
  interacting with hardware independently of the underlying operating system.
  .
  This package is part of KDE Frameworks 5.
+
+Package: qtdeclarative5-kf5solid
+Architecture: all
+Section: oldlibs
+Priority: optional
+Depends: qml-module-org-kde-solid, ${misc:Depends}, ${shlibs:Depends}
+Description: transitional package to renamed qml-module-org-kde-solid
+ Transitional package for qml-module-org-kde-solid.  This package is
+ safe to remove.
+ .
+ This package is part of KDE Frameworks 5.

## solid 5.53.0

=== debian/changelog ===
solid (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:51:09 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.52.0~),
+               extra-cmake-modules (>= 5.53.0~),
                flex,
                graphviz,
                libqt5sql5-sqlite,

## solid 5.54.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.50.0") # handled by release scripts
+set(KF5_VERSION "5.54.0") # handled by release scripts
 project(Solid VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.50.0  NO_MODULE)
+find_package(ECM 5.54.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -17,7 +17,7 @@
 include(KDECMakeSettings)
 include(ECMQtDeclareLoggingCategory)
 
-set(REQUIRED_QT_VERSION 5.8.0)
+set(REQUIRED_QT_VERSION 5.9.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml DBus Widgets)
 
 if(WIN32)
@@ -121,4 +121,6 @@
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/solid_version.h  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}  COMPONENT Devel )
 
+install(FILES solid.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/solid/devices/CMakeLists.txt ===
include (CheckCXXSourceCompiles)

if(WIN32)
    add_definitions(-DYY_NO_UNISTD_H)
endif()

if(MSVC OR (WIN32 AND CMAKE_CXX_COMPILER_ID STREQUAL "Intel"))
    check_cxx_source_compiles("int main() { __asm { pxor mm0, mm0 }; }" HAVE_X86_MMX)
    check_cxx_source_compiles("int main() { __asm { xorps xmm0, xmm0 }; }" HAVE_X86_SSE)
    check_cxx_source_compiles("int main() { __asm { xorpd xmm0, xmm0 }; }" HAVE_X86_SSE2)
    check_cxx_source_compiles("int main() { __asm { femms }; }" HAVE_X86_3DNOW)
else()
    check_cxx_source_compiles("     #ifdef __SUNPRO_CC
                                            #define __asm__ asm
                                    #endif
                    int main() { __asm__(\"pxor %mm0, %mm0\") ; }" HAVE_X86_MMX)
    check_cxx_source_compiles("     #ifdef __SUNPRO_CC
                                            #define __asm__ asm
                                    #endif
                    int main() { __asm__(\"xorps %xmm0, %xmm0\"); }" HAVE_X86_SSE)
    check_cxx_source_compiles("     #ifdef __SUNPRO_CC
                                            #define __asm__ asm
                                    #endif
                    int main() { __asm__(\"xorpd %xmm0, %xmm0\"); }" HAVE_X86_SSE2)
    check_cxx_source_compiles("     #ifdef __SUNPRO_CC
                                            #define __asm__ asm
                                    #endif
                    int main() { __asm__(\"femms\"); }" HAVE_X86_3DNOW)
endif()
check_cxx_source_compiles("     #ifdef __SUNPRO_CC
                                        #define __asm__ asm
                                #endif
                int main() { __asm__(\"mtspr 256, %0; vand %%v0, %%v0, %%v0\" : : \"r\"(-1) ); }" HAVE_PPC_ALTIVEC)

configure_file(devices/config-processor.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-processor.h )

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/devices/ ${CMAKE_CURRENT_SOURCE_DIR}/devices/frontend/ ${CMAKE_CURRENT_BINARY_DIR})
set(solid_LIB_SRCS
    ${solid_LIB_SRCS}
    devices/managerbase.cpp
    devices/solidnamespace.cpp
    devices/predicateparse.cpp

    devices/frontend/device.cpp
    devices/frontend/devicemanager.cpp
    devices/frontend/deviceinterface.cpp
    devices/frontend/genericinterface.cpp
    devices/frontend/processor.cpp
    devices/frontend/block.cpp
    devices/frontend/storagedrive.cpp
    devices/frontend/opticaldrive.cpp
    devices/frontend/storagevolume.cpp
    devices/frontend/opticaldisc.cpp
    devices/frontend/storageaccess.cpp
    devices/frontend/camera.cpp
    devices/frontend/portablemediaplayer.cpp
    devices/frontend/networkshare.cpp
    devices/frontend/battery.cpp
    devices/frontend/predicate.cpp

    devices/ifaces/battery.cpp
    devices/ifaces/block.cpp
    devices/ifaces/camera.cpp
    devices/ifaces/opticaldrive.cpp
    devices/ifaces/device.cpp
    devices/ifaces/deviceinterface.cpp
    devices/ifaces/devicemanager.cpp
    devices/ifaces/genericinterface.cpp
    devices/ifaces/networkshare.cpp
    devices/ifaces/opticaldisc.cpp
    devices/ifaces/portablemediaplayer.cpp
    devices/ifaces/processor.cpp
    devices/ifaces/storagedrive.cpp
    devices/ifaces/storagevolume.cpp
    devices/ifaces/storageaccess.cpp

    devices/backends/shared/rootdevice.cpp
    devices/backends/shared/cpufeatures.cpp
)

bison_target(SolidParser
             devices/predicate_parser.y
             ${CMAKE_CURRENT_BINARY_DIR}/predicate_parser.c
             COMPILE_FLAGS "-p Solid -d -b predicate_parser"
)
set_property(SOURCE ${CMAKE_CURRENT_BINARY_DIR}/predicate_parser.h PROPERTY SKIP_AUTOMOC TRUE) # don't run automoc on this file

flex_target(SolidLexer
            devices/predicate_lexer.l
            ${CMAKE_CURRENT_BINARY_DIR}/predicate_lexer.c
            COMPILE_FLAGS "-P Solid"
)
add_flex_bison_dependency(SolidLexer SolidParser)
list(APPEND solid_LIB_SRCS ${BISON_SolidParser_OUTPUTS} ${FLEX_SolidLexer_OUTPUTS})

include(devices/backends/fakehw/CMakeLists.txt)

if(NOT WIN32 AND NOT APPLE AND NOT ANDROID)
   if (CMAKE_SYSTEM_NAME MATCHES FreeBSD)
      option(EXPERIMENTAL_BSDISKS "Use UDisks2/bsdisks backend instead of HAL to manage disk devices" OFF)
   else ()
      set(EXPERIMENTAL_BSDISKS FALSE)
   endif()

   if ( UDEV_FOUND )
      message(STATUS "Building Solid UDev backend." )
      include(devices/backends/udev/CMakeLists.txt)
   endif()

   message(STATUS "Building Solid UPower backend." )
   include(devices/backends/upower/CMakeLists.txt)

   # FIXME: this should work on more Unix systems
   if ((CMAKE_SYSTEM_NAME MATCHES Linux AND UDEV_FOUND) OR EXPERIMENTAL_BSDISKS)
        message(STATUS "Building Solid UDisks2 backend." )
        include(devices/backends/udisks2/CMakeLists.txt)
   endif ()

   message(STATUS "Building Solid fstab backend." )
   include(devices/backends/fstab/CMakeLists.txt)

    if (NOT CMAKE_SYSTEM_NAME MATCHES Linux)
        message(STATUS "Building Solid HAL backend." )
        include(devices/backends/hal/CMakeLists.txt)
    endif()
endif()

include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckCXXSourceCompiles)

#Needed for the fstab backend
check_include_files(mntent.h      HAVE_MNTENT_H)
check_include_files(sys/types.h   HAVE_SYS_TYPES_H)
check_include_files(sys/param.h   HAVE_SYS_PARAM_H)
check_include_files("stdio.h;sys/mnttab.h"  HAVE_SYS_MNTTAB_H)
check_include_files("sys/param.h;sys/mount.h"  HAVE_SYS_MOUNT_H)

check_function_exists(getmntinfo HAVE_GETMNTINFO)

check_function_exists(setmntent  HAVE_SETMNTENT)

check_cxx_source_compiles("
  #include <sys/types.h>
  #include <sys/statvfs.h>
  int main(){
    struct statvfs *mntbufp;
    int flags;
    return getmntinfo(&mntbufp, flags);
  }
" GETMNTINFO_USES_STATVFS )

configure_file(devices/config-solid.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-solid.h )

if(APPLE)
   find_package(IOKit REQUIRED)

   message(STATUS "-- Building Solid IOKit backend." )
   include(devices/backends/iokit/CMakeLists.txt)
endif()

if(WIN32)
    message(STATUS "-- Building Solid Windows backend." )
    include(devices/backends/win/CMakeLists.txt)
endif()

set(solid_OPTIONAL_LIBS)

if(WIN32)
    set(solid_OPTIONAL_LIBS ${solid_OPTIONAL_LIBS} Qt5::Network setupapi)
    set(solid_OPTIONAL_LIBS ${solid_OPTIONAL_LIBS} setupapi)
endif()

if(APPLE)
   set(solid_OPTIONAL_LIBS ${IOKIT_LIBRARY} "-framework DiskArbitration")
endif()

if ( UDEV_FOUND )
   set(solid_OPTIONAL_LIBS ${solid_OPTIONAL_LIBS} ${UDEV_LIBS})
endif ()

=== src/solid/devices/backends/udev/CMakeLists.txt ===
set(solid_LIB_SRCS ${solid_LIB_SRCS}
    devices/backends/udev/udevdevice.cpp
    devices/backends/udev/udevmanager.cpp
    devices/backends/udev/udevdeviceinterface.cpp
    devices/backends/udev/udevgenericinterface.cpp
    devices/backends/udev/cpuinfo.cpp
    devices/backends/udev/udevprocessor.cpp
    devices/backends/udev/udevcamera.cpp
    devices/backends/udev/udevportablemediaplayer.cpp
    devices/backends/udev/udevblock.cpp
    devices/backends/shared/udevqtclient.cpp
    devices/backends/shared/udevqtdevice.cpp
)

set(UDEV_DETAILED_OUTPUT OFF CACHE BOOL "provide extended output regarding udev events")
if(UDEV_DETAILED_OUTPUT)
    add_definitions(-DUDEV_DETAILED_OUTPUT)
endif()

# check for media-player-info (runtime-only optional dependency)
find_package(MediaPlayerInfo)
set_package_properties(MediaPlayerInfo PROPERTIES
    DESCRIPTION "Enables identification and querying of portable media players"
    PURPOSE "Runtime-only dependency of the udev solid backend. Support for m-p-i is included even if not found during build"
    URL "http://www.freedesktop.org/wiki/Software/media-player-info"
    TYPE RUNTIME
)

=== debian/changelog ===
solid (5.54.0-1+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 19 Jan 2021 14:27:44 +0800

solid (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:41 -0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5solid5-dbg (<= 5.19.0-1~~)'

## solid 5.55.0

=== debian/changelog ===
solid (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:34:30 +0000

solid (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:37:36 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.53.0~),
+               extra-cmake-modules (>= 5.55.0~),
                flex,
                graphviz,
                libqt5sql5-sqlite,

## solid 5.56.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.54.0") # handled by release scripts
+set(KF5_VERSION "5.56.0") # handled by release scripts
 project(Solid VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.54.0  NO_MODULE)
+find_package(ECM 5.56.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -17,8 +17,11 @@
 include(KDECMakeSettings)
 include(ECMQtDeclareLoggingCategory)
 
-set(REQUIRED_QT_VERSION 5.9.0)
-find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml DBus Widgets)
+set(REQUIRED_QT_VERSION 5.10.0)
+find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml Widgets)
+if (NOT ANDROID)
+  find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
+endif()
 
 if(WIN32)
     find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Network)
@@ -50,10 +53,11 @@
 
 if (CMAKE_SYSTEM_NAME MATCHES Linux)
     find_package( UDev )
+    if (UDev_FOUND)
+        set(UDEV_FOUND TRUE) # for config-solid.h
+    endif()
 
-    set_package_properties(UDev PROPERTIES  URL "http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html"
-                                            DESCRIPTION "UDev support for Solid"
-                                            TYPE REQUIRED
+    set_package_properties(UDev PROPERTIES TYPE REQUIRED
                                             PURPOSE "Allows Solid to use UDev to provide information about devices on Linux"
                             )
 endif()
@@ -73,7 +77,7 @@
 # TODO: Remove these
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)
 remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
-
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
 if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
     ecm_install_po_files_as_qm(po)
 endif()

=== src/solid/devices/CMakeLists.txt ===
--- 
+++ 
@@ -102,7 +102,7 @@
       set(EXPERIMENTAL_BSDISKS FALSE)
    endif()
 
-   if ( UDEV_FOUND )
+   if ( UDev_FOUND )
       message(STATUS "Building Solid UDev backend." )
       include(devices/backends/udev/CMakeLists.txt)
    endif()
@@ -111,7 +111,7 @@
    include(devices/backends/upower/CMakeLists.txt)
 
    # FIXME: this should work on more Unix systems
-   if ((CMAKE_SYSTEM_NAME MATCHES Linux AND UDEV_FOUND) OR EXPERIMENTAL_BSDISKS)
+   if ((CMAKE_SYSTEM_NAME MATCHES Linux AND UDev_FOUND) OR EXPERIMENTAL_BSDISKS)
         message(STATUS "Building Solid UDisks2 backend." )
         include(devices/backends/udisks2/CMakeLists.txt)
    endif ()
@@ -175,6 +175,6 @@
    set(solid_OPTIONAL_LIBS ${IOKIT_LIBRARY} "-framework DiskArbitration")
 endif()
 
-if ( UDEV_FOUND )
-   set(solid_OPTIONAL_LIBS ${solid_OPTIONAL_LIBS} ${UDEV_LIBS})
+if ( UDev_FOUND )
+   set(solid_OPTIONAL_LIBS ${solid_OPTIONAL_LIBS} UDev::UDev)
 endif ()

=== debian/changelog ===
solid (5.56.0-0ubuntu1) disco; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.56.0)

  [ Rik Mills ]
  * Update symbols from build logs.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:39:03 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.55.0~),
+               extra-cmake-modules (>= 5.56.0~),
                flex,
                graphviz,
                libqt5sql5-sqlite,

## solid 5.57.0

=== debian/changelog ===
solid (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:41:20 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.56.0~),
+               extra-cmake-modules (>= 5.57.0~),
                flex,
                graphviz,
                libqt5sql5-sqlite,

## solid 5.58.0

=== debian/changelog ===
solid (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:43:50 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.57.0~),
+               extra-cmake-modules (>= 5.58.0~),
                flex,
                graphviz,
                libqt5sql5-sqlite,
